# Uses of Class
org.snpeff.interval.SpliceSite

Packages that use SpliceSite
Package
Description
org.snpeff.interval

## Uses of SpliceSite in org.snpeff.interval

Subclasses of SpliceSite in org.snpeff.interval
Modifier and Type
Class
Description
`class`
`SpliceSiteAcceptor`
Interval for a splice site acceptor Note: Splice sites donnor are defined as the last 2 bases of an intron Reference: http://en.wikipedia.org/wiki/RNA_splicing
`class`
`SpliceSiteBranch`
A (putative) branch site.
`class`
`SpliceSiteBranchU12`
A (putative) U12 branch site.
`class`
`SpliceSiteDonor`
Interval for a splice site donnor Note: Splice sites donnor are defined as the first 2 bases of an intron Reference: http://en.wikipedia.org/wiki/RNA_splicing
`class`
`SpliceSiteRegion`
Interval for a splice site acceptor From Sequence Ontology: A sequence variant in which a change has occurred within the region of the splice site, either within 1-3 bases of the exon or 3-8 bases of the intron.
Methods in org.snpeff.interval that return types with arguments of type SpliceSite
Modifier and Type
Method
Description
`ArrayList<SpliceSite>`
Exon.`getSpliceSites()`
`ArrayList<SpliceSite>`
Intron.`getSpliceSites()`
`List<SpliceSite>`
Transcript.`spliceSites()`
Methods in org.snpeff.interval with parameters of type SpliceSite
Modifier and Type
Method
Description
`void`
Exon.`add(SpliceSite ss)`
Add a splice site to the collection
`void`
Intron.`add(SpliceSite ss)`
Add a splice site to the collection
`void`
Transcript.`add(SpliceSite spliceSite)`
Add a SpliceSite